local timer = 0

local gs = function(dtime)
    timer = timer + dtime
    if timer <= yl_survey.config.interval then
        return
    end
    timer = 0

    -- do stuff
end

minetest.register_globalstep(gs)
